local mod = foundation.createMod();

mod:registerAssetId("models/markettent.fbx/Prefab/MarkettentV_Part", "PREFAB_MARKETTENTV")
mod:registerAssetId("models/markettent.fbx/Prefab/MarkettentJ_Part", "PREFAB_MARKETTENTJ")
mod:registerAssetId("models/markettent.fbx/Prefab/MarkettentB_Part", "PREFAB_MARKETTENTB")
mod:registerAssetId("models/markettent.fbx/Prefab/MarkettentR_Part", "PREFAB_MARKETTENTR")
mod:registerAssetId("models/markettent.fbx/Materials/Material", "MATERIAL_TENT")

mod:registerAssetProcessor("models/markettent.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

mod:override({
	Id="MATERIAL_TENT",
	HasAlphaTest = true
})


mod:register({
	DataType = "BUILDING_PART",
	Id = "MARKETTENT_PART_V",
	Name = "MARKETTENT_NAME",
	Description = MARKETTENT_DESC,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MARKETTENTV"
	},
	BuildingZone = {
		ZoneEntryList = {
			{
				Polygon = polygon.createRectangle({3, 3}),
				Type = {
					DEFAULT = true,
					NAVIGABLE = true,
					GRASS_CLEAR = true
				}
			}
		}
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 },
			{ Resource = "WOOLEN_CLOTH", Quantity = 5} 
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "MARKETTENT_PART_J",
	Name = "MARKETTENT_NAME",
	Description = MARKETTENT_DESC,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MARKETTENTJ"
	},
	BuildingZone = {
		ZoneEntryList = {
			{
				Polygon = polygon.createRectangle({3, 3}),
				Type = {
					DEFAULT = true,
					NAVIGABLE = true,
					GRASS_CLEAR = true
				}
			}
		}
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 },
			{ Resource = "WOOLEN_CLOTH", Quantity = 5} 
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "MARKETTENT_PART_B",
	Name = "MARKETTENT_NAME",
	Description = MARKETTENT_DESC,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MARKETTENTB"
	},
	BuildingZone = {
		ZoneEntryList = {
			{
				Polygon = polygon.createRectangle({3, 3}),
				Type = {
					DEFAULT = true,
					NAVIGABLE = true,
					GRASS_CLEAR = true
				}
			}
		}
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 },
			{ Resource = "WOOLEN_CLOTH", Quantity = 5} 
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "MARKETTENT_PART_R",
	Name = "MARKETTENT_NAME",
	Description = MARKETTENT_DESC,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_MARKETTENTR"
	},
	BuildingZone = {
		ZoneEntryList = {
			{
				Polygon = polygon.createRectangle({3, 3}),
				Type = {
					DEFAULT = true,
					NAVIGABLE = true,
					GRASS_CLEAR = true
				}
			}
		}
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 },
			{ Resource = "WOOLEN_CLOTH", Quantity = 5} 
		}
	}
})

-- ?? sol ?? 
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentV_Part", {
	DataType = "COMP_GROUNDED"
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentJ_Part", {
	DataType = "COMP_GROUNDED"
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentB_Part", {
	DataType = "COMP_GROUNDED"
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentR_Part", {
	DataType = "COMP_GROUNDED"
})


--suppression de l'herbe
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentV_Part", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {3, 3}
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentJ_Part", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {3, 3}
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentB_Part", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {3, 3}
})
mod:registerPrefabComponent("models/markettent.fbx/Prefab/MarkettentR_Part", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {3, 3}
})

mod:override({
	Id = "MONUMENT_MARKET",
	BuildingPartSetList = {
		Action = "APPEND",
		{
			Name = "PARTSETLIST_NAME",
			BuildingPartList = {
				"MARKETTENT_PART_V",
				"MARKETTENT_PART_J",
				"MARKETTENT_PART_B",
				"MARKETTENT_PART_R"
			}
		}
	}
})